## org.eclipse.contribution.visualiser.views
Class Visualiser

    java.lang.Object
      org.eclipse.ui.part.WorkbenchPart
          org.eclipse.ui.part.ViewPart
              org.eclipse.contribution.visualiser.views.Visualiser

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.part.IWorkbenchPartOrientation

public class Visualiser
extends org.eclipse.ui.part.ViewPart

This class represents the main view of the Visualiser.

Field Summary
`protected IContentProvider` `contentP`
`protected IMarkupProvider` `markupP`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`Visualiser()`

Method Summary
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`void` `dispose()`
`void` `draw()` Called by Menu when the colour selections or aspects selection in the menu has changed.
`java.lang.Object` `getAdapter(java.lang.Class key)`
`int` `getMaxBarSize()`
`int` `getMinBarSize()`
`IMarkupProvider` `getVisMarkupProvider()`
`protected void` `handleClick(IMember member, Stripe stripe, int buttonClicked)` Handle a click that has occurred on the bar chart.
`boolean` `isFitToView()`
`boolean` `isGroupView()`
`protected void` `onlyShowColorsAffecting(java.lang.String name)` Only show kinds affecting the member or group with the given name
`void` `refreshTitle(java.lang.String title)` Refresh the title.
`void` `setFocus()`
`void` `setMaxBarSize(int size)` Set the maximum bar width for the view in pixels
`void` `setNeedsUpdating()`
`void` `setVisContentProvider(IContentProvider vcp)` Set the current content provider
`void` `setVisMarkupProvider(IMarkupProvider vmp)` Set the current markup provider
`void` `setZoomString(java.lang.String s)`
`void` `updateDisplay(boolean updateMenu)`
`void` `updateDisplay(boolean updateMenu, org.eclipse.core.runtime.IProgressMonitor monitor)` Update the display
`void` `zoominSetEnabled(boolean enabled)`
`void` `zoomoutSetEnabled(boolean enabled)`

Methods inherited from class org.eclipse.ui.part.ViewPart
`checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPropertyListener, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Field Detail

### contentP

    protected IContentProvider contentP

### markupP

    protected IMarkupProvider markupP

Constructor Detail

### Visualiser

    public Visualiser()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

### setNeedsUpdating

    public void setNeedsUpdating()

### zoominSetEnabled

    public void zoominSetEnabled(boolean enabled)

### zoomoutSetEnabled

    public void zoomoutSetEnabled(boolean enabled)

### refreshTitle

    public void refreshTitle(java.lang.String title)

  Refresh the title. Sets the view's title to 'Visualiser - ' plus the argument

  Parameters:
    `title` -

### setZoomString

    public void setZoomString(java.lang.String s)

### setMaxBarSize

    public void setMaxBarSize(int size)

  Set the maximum bar width for the view in pixels

  Parameters:
    `size` -

### getMaxBarSize

    public int getMaxBarSize()

### getMinBarSize

    public int getMinBarSize()

### isFitToView

    public boolean isFitToView()

### isGroupView

    public boolean isGroupView()

### setFocus

    public void setFocus()

### dispose

    public void dispose()

### draw

    public void draw()

  Called by Menu when the colour selections or aspects selection in the menu has changed.

### updateDisplay

    public void updateDisplay(boolean updateMenu)

### updateDisplay

    public void updateDisplay(boolean updateMenu,
                              org.eclipse.core.runtime.IProgressMonitor monitor)

  Update the display

### setVisContentProvider

    public void setVisContentProvider(IContentProvider vcp)

  Set the current content provider

  Parameters:
    `vcp` - - the current IContentProvider

### getVisMarkupProvider

    public IMarkupProvider getVisMarkupProvider()

### setVisMarkupProvider

    public void setVisMarkupProvider(IMarkupProvider vmp)

  Set the current markup provider

  Parameters:
    `vmp` - - the current IMarkupProvider

### onlyShowColorsAffecting

    protected void onlyShowColorsAffecting(java.lang.String name)

  Only show kinds affecting the member or group with the given name

  Parameters:
    `name` -

### handleClick

    protected void handleClick(IMember member,
                               Stripe stripe,
                               int buttonClicked)

  Handle a click that has occurred on the bar chart.

  Parameters:
    `member` -
    `stripe` -
    `buttonClicked` -

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class key)